#!/usr/bin/env ansible-playbook
#
# @description Initialize server to host chstudio.fr website
#
# Run with:
# ./playbooks/chstudio.fr.yml
#

- hosts: chstudio.fr
  remote_user: root
  gather_facts: no
  vars:
    wpmedias_archive_name: chstudio_medias
    wpmedias_upload_path: /home/chstudio.fr/public/wp-content/uploads
  tasks:
    - name: Prepare MariaDB
      include_role:
        name: mariadb
      vars:
        mariadb_root_username: "{{ chstudio.mariadb_root.username }}"
        mariadb_root_password: "{{ chstudio.mariadb_root.password }}"
        mariadb_database: "{{ chstudio.mariadb.database }}"
        mariadb_username: "{{ chstudio.mariadb.username }}"
        mariadb_password: "{{ chstudio.mariadb.password }}"
        mariadb_backup: true
        mariadb_backup_username: "{{ chstudio.mariadb_backup.username }}"
        mariadb_backup_password: "{{ chstudio.mariadb_backup.password }}"

    - name: "Install WPMedias backup policy"
      template:
        src: ../templates/wpmedias.logrotate.j2
        dest: /etc/logrotate.d/wpmedias-backup-{{ wpmedias_archive_name  }}

    - name: Generate let's encrypt certificate for "chstudio.fr"
      include_role:
        name: certbot
      vars:
        domain: '{{ chstudio.domain }}'
        email: 's.hulard@chstudio.fr'
        renew:
          pre_hook: service nginx stop
          post_hook: service nginx start

    - name: Install Nginx
      include_role:
        name: nginx
